Skip to main content

Update last run's default store

PUT 

/v2/actors/:actorId/runs/last/key-value-store

Updates the last Actor run key-value store's name and general resource access level using a value specified by a JSON object passed in the PUT payload.

This endpoint is a shortcut for getting the run's defaultKeyValueStoreId and then using the Update store endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Bodyrequired

  • name string | null nullable
  • generalAccess GeneralAccess (string)

    Defines the general access level for the resource.

    Possible values: [ANYONE_WITH_ID_CAN_READ, ANYONE_WITH_NAME_CAN_READ, FOLLOW_USER_SETTING, RESTRICTED]


    Example: RESTRICTED

Status 200

Response Headers
    {
    "data": {
    "id": "WkzbQMuFYuamGv3YF",
    "name": "d7b9MDYsbtX5L7XAj",
    "userId": "BPWDBd7Z9c746JAnF",
    "username": "janedoe",
    "createdAt": "2019-12-12T07:34:14.202Z",
    "modifiedAt": "2019-12-13T08:36:13.202Z",
    "accessedAt": "2019-12-14T08:36:13.202Z",
    "actId": null,
    "actRunId": null,
    "consoleUrl": "https://console.apify.com/storage/key-value-stores/27TmTznX9YPeAYhkC",
    "keysPublicUrl": "https://api.apify.com/v2/key-value-stores/WkzbQMuFYuamGv3YF/keys?signature=abc123",
    "recordsPublicUrl": "https://api.apify.com/v2/key-value-stores/WkzbQMuFYuamGv3YF/records",
    "schema": "Unknown Type: object,null",
    "urlSigningSecretKey": "string",
    "generalAccess": "RESTRICTED",
    "stats": {
    "readCount": 9,
    "writeCount": 3,
    "deleteCount": 6,
    "listCount": 2,
    "s3StorageBytes": 18,
    "storageBytes": 457225
    }
    }
    }